Index: trunk/NEMOGCM/NEMO/TOP_SRC/trcsub.F90
===================================================================
--- trunk/NEMOGCM/NEMO/TOP_SRC/trcsub.F90	(revision 4528)
+++ trunk/NEMOGCM/NEMO/TOP_SRC/trcsub.F90	(revision 4611)
@@ -28,7 +28,4 @@
    USE sbcrnf, ONLY: h_rnf, nk_rnf   ! River runoff 
    USE bdy_oce
-#if defined key_obc
-   USE obc_oce, ONLY: obctmsk
-#endif
 #if defined key_agrif
    USE agrif_opa_update
@@ -78,6 +75,4 @@
            !
            sshb_hold  (:,:) = sshn  (:,:)
-!!Z~       sshu_b_hold(:,:) = sshu_n(:,:)
-!!Z~       sshv_b_hold(:,:) = sshv_n(:,:)
            emp_b_hold (:,:) = emp_b (:,:)
            !
@@ -99,8 +94,8 @@
 # endif
 #if defined key_ldfslp
-          wslpi_tm(:,:,:)        = wslpi_tm(:,:,:)        + wslpi(:,:,:)        * fse3w(:,:,:) 
-          wslpj_tm(:,:,:)        = wslpj_tm(:,:,:)        + wslpj(:,:,:)        * fse3w(:,:,:) 
-          uslp_tm (:,:,:)        = uslp_tm (:,:,:)        + uslp (:,:,:)        * fse3u(:,:,:) 
-          vslp_tm (:,:,:)        = vslp_tm (:,:,:)        + vslp (:,:,:)        * fse3v(:,:,:) 
+          wslpi_tm(:,:,:)        = wslpi_tm(:,:,:)        + wslpi(:,:,:)
+          wslpj_tm(:,:,:)        = wslpj_tm(:,:,:)        + wslpj(:,:,:)
+          uslp_tm (:,:,:)        = uslp_tm (:,:,:)        + uslp (:,:,:)
+          vslp_tm (:,:,:)        = vslp_tm (:,:,:)        + vslp (:,:,:)
 #endif
 # if defined key_trabbl
@@ -116,6 +111,4 @@
           !
           sshn_tm  (:,:)         = sshn_tm  (:,:)         + sshn  (:,:) 
-!!Z~      sshu_n_tm(:,:)         = sshu_n_tm(:,:)         + sshu_n(:,:) 
-!!Z~      sshv_n_tm(:,:)         = sshv_n_tm(:,:)         + sshv_n(:,:) 
           rnf_tm   (:,:)         = rnf_tm   (:,:)         + rnf   (:,:) 
           h_rnf_tm (:,:)         = h_rnf_tm (:,:)         + h_rnf (:,:) 
@@ -126,45 +119,4 @@
           qsr_tm   (:,:)         = qsr_tm   (:,:)         + qsr   (:,:)
           wndm_tm  (:,:)         = wndm_tm  (:,:)         + wndm  (:,:)
-          !
-#if defined key_traldf_c3d
-          ahtt_tm  (:,:,:)       = ahtt_tm  (:,:,:)       + ahtt(:,:,:)         * fse3t(:,:,:)
-          ahtu_tm  (:,:,:)       = ahtu_tm  (:,:,:)       + ahtu(:,:,:)         * fse3u(:,:,:)
-          ahtv_tm  (:,:,:)       = ahtv_tm  (:,:,:)       + ahtv(:,:,:)         * fse3v(:,:,:)
-          ahtw_tm  (:,:,:)       = ahtw_tm  (:,:,:)       + ahtw(:,:,:)         * fse3w(:,:,:)
-#elif defined key_traldf_c2d
-          ahtt_tm  (:,:)         = ahtt_tm  (:,:)         + ahtt(:,:)
-          ahtu_tm  (:,:)         = ahtu_tm  (:,:)         + ahtu(:,:)
-          ahtv_tm  (:,:)         = ahtv_tm  (:,:)         + ahtv(:,:)
-          ahtw_tm  (:,:)         = ahtw_tm  (:,:)         + ahtw(:,:)
-#elif defined key_traldf_c1d
-          ahtt_tm  (:)           = ahtt_tm  (:,:)         + ahtt(:)
-          ahtu_tm  (:)           = ahtu_tm  (:,:)         + ahtu(:)
-          ahtv_tm  (:)           = ahtv_tm  (:,:)         + ahtv(:)
-          ahtw_tm  (:)           = ahtw_tm  (:,:)         + ahtw(:)
-#else
-          ahtt_tm                = ahtt_tm                + ahtt
-          ahtu_tm                = ahtu_tm                + ahtu
-          ahtv_tm                = ahtv_tm                + ahtv
-          ahtw_tm                = ahtw_tm                + ahtw
-#endif
-#if defined key_traldf_eiv
-#  if defined key_traldf_c3d
-          aeiu_tm  (:,:,:)       = aeiu_tm  (:,:,:)       + aeiu(:,:,:)         * fse3u(:,:,:)
-          aeiv_tm  (:,:,:)       = aeiv_tm  (:,:,:)       + aeiv(:,:,:)         * fse3v(:,:,:)
-          aeiw_tm  (:,:,:)       = aeiw_tm  (:,:,:)       + aeiw(:,:,:)         * fse3w(:,:,:)
-#  elif defined key_traldf_c2d
-          aeiu_tm  (:,:)         = aeiu_tm  (:,:)         + aeiu(:,:)
-          aeiv_tm  (:,:)         = aeiv_tm  (:,:)         + aeiv(:,:)
-          aeiw_tm  (:,:)         = aeiw_tm  (:,:)         + aeiw(:,:)
-#  elif defined key_traldf_c1d
-          aeiu_tm  (:)           = aeiu_tm  (:,:)         + aeiu(:)
-          aeiv_tm  (:)           = aeiv_tm  (:,:)         + aeiv(:)
-          aeiw_tm  (:)           = aeiw_tm  (:,:)         + aeiw(:)
-#  else
-          aeiu_tm                = aeiu_tm                + aeiu
-          aeiv_tm                = aeiv_tm                + aeiv
-          aeiw_tm                = aeiw_tm                + aeiw
-#  endif
-#endif
 
       ELSE                           !  It is time to substep 
@@ -196,13 +148,6 @@
 # endif
          sshn_temp  (:,:)        = sshn  (:,:)
-!!Z~     sshu_n_temp(:,:)        = sshu_n(:,:)
-!!Z~     sshv_n_temp(:,:)        = sshv_n(:,:)
-!!Z~     sshf_n_temp(:,:)        = sshf_n(:,:)
          sshb_temp  (:,:)        = sshb  (:,:)
-!!Z~     sshu_b_temp(:,:)        = sshu_b(:,:)
-!!Z~     sshv_b_temp(:,:)        = sshv_b(:,:)
          ssha_temp  (:,:)        = ssha  (:,:)
-!!Z~     sshu_a_temp(:,:)        = sshu_a(:,:)
-!!Z~     sshv_a_temp(:,:)        = sshv_a(:,:)
          rnf_temp   (:,:)        = rnf   (:,:)
          h_rnf_temp (:,:)        = h_rnf (:,:)
@@ -214,45 +159,4 @@
          qsr_temp   (:,:)        = qsr   (:,:)
          wndm_temp  (:,:)        = wndm  (:,:)
-#if defined key_traldf_c3d
-         ahtu_temp  (:,:,:)      = ahtu  (:,:,:)
-         ahtv_temp  (:,:,:)      = ahtv  (:,:,:)
-         ahtw_temp  (:,:,:)      = ahtw  (:,:,:)
-         ahtt_temp  (:,:,:)      = ahtt  (:,:,:)
-#elif defined key_traldf_c2d
-         ahtu_temp  (:,:)        = ahtu  (:,:)
-         ahtv_temp  (:,:)        = ahtv  (:,:)
-         ahtw_temp  (:,:)        = ahtw  (:,:)
-         ahtt_temp  (:,:)        = ahtt  (:,:)
-#elif defined key_traldf_c1d
-         ahtu_temp  (:)          = ahtu  (:)
-         ahtv_temp  (:)          = ahtv  (:)
-         ahtw_temp  (:)          = ahtw  (:)
-         ahtt_temp  (:)          = ahtt  (:)
-#else
-         ahtu_temp               = ahtu
-         ahtv_temp               = ahtv
-         ahtw_temp               = ahtw
-         ahtt_temp               = ahtt
-#endif
-
-#if defined key_traldf_eiv
-# if defined key_traldf_c3d
-         aeiu_temp  (:,:,:)      = aeiu(:,:,:)
-         aeiv_temp  (:,:,:)      = aeiv(:,:,:)
-         aeiw_temp  (:,:,:)      = aeiw(:,:,:)
-# elif defined key_traldf_c2d
-         aeiu_temp  (:,:)        = aeiu(:,:)
-         aeiv_temp  (:,:)        = aeiv(:,:)
-         aeiw_temp  (:,:)        = aeiw(:,:)
-# elif defined key_traldf_c1d
-         aeiu_temp  (:)          = aeiu(:)
-         aeiv_temp  (:)          = aeiv(:)
-         aeiw_temp  (:)          = aeiw(:)
-# else
-         aeiu_temp               = aeiu
-         aeiv_temp               = aeiv
-         aeiw_temp               = aeiw
-# endif
-#endif
          !                                    !  Variables reset in trc_sub_ssh
          rotn_temp  (:,:,:)      = rotn  (:,:,:)
@@ -260,40 +164,20 @@
          rotb_temp  (:,:,:)      = rotb  (:,:,:)
          hdivb_temp (:,:,:)      = hdivb (:,:,:)
-         hu_temp    (:,:)        = hu    (:,:)
-         hv_temp    (:,:)        = hv    (:,:)
-         hur_temp   (:,:)        = hur   (:,:)
-         hvr_temp   (:,:)        = hvr   (:,:)
-         !
-         DO jk = 1, jpk
-            e3t_temp(:,:,jk)     = fse3t(:,:,jk)
-            e3u_temp(:,:,jk)     = fse3u(:,:,jk)
-            e3v_temp(:,:,jk)     = fse3v(:,:,jk)
-            e3w_temp(:,:,jk)     = fse3w(:,:,jk)
-         ENDDO
-         IF( lk_vvl ) THEN                      !  Update Now Vertical coord.  !   (only in vvl case)
-           !                                    !------------------------------!
-           DO jk = 1, jpk
-              fse3t (:,:,jk)     = fse3t_n (:,:,jk)   ! vertical scale factors stored in fse3. arrays
-              fse3u (:,:,jk)     = fse3u_n (:,:,jk)
-              fse3v (:,:,jk)     = fse3v_n (:,:,jk)
-              fse3w (:,:,jk)     = fse3w_n (:,:,jk)
-           END DO
-         ENDIF
-
+         !
          ! 2. Create averages and reassign variables
-         un_tm    (:,:,:)        = un_tm   (:,:,:)        + un   (:,:,:)        * e3u_temp(:,:,:) 
-         vn_tm    (:,:,:)        = vn_tm   (:,:,:)        + vn   (:,:,:)        * e3v_temp(:,:,:) 
-         tsn_tm   (:,:,:,jp_tem) = tsn_tm  (:,:,:,jp_tem) + tsn  (:,:,:,jp_tem) * e3t_temp(:,:,:)  
-         tsn_tm   (:,:,:,jp_sal) = tsn_tm  (:,:,:,jp_sal) + tsn  (:,:,:,jp_sal) * e3t_temp(:,:,:)  
-         rhop_tm (:,:,:)         = rhop_tm (:,:,:)        + rhop (:,:,:)        * e3t_temp(:,:,:)  
-         avt_tm   (:,:,:)        = avt_tm  (:,:,:)        + avt  (:,:,:)        * e3w_temp(:,:,:)  
-# if defined key_zdfddm
-         avs_tm   (:,:,:)        = avs_tm  (:,:,:)        + avs  (:,:,:)        * e3w_temp(:,:,:)  
-# endif
-#if defined key_ldfslp
-         wslpi_tm (:,:,:)        = wslpi_tm(:,:,:)        + wslpi(:,:,:)        * e3w_temp(:,:,:) 
-         wslpj_tm (:,:,:)        = wslpj_tm(:,:,:)        + wslpj(:,:,:)        * e3w_temp(:,:,:) 
-         uslp_tm  (:,:,:)        = uslp_tm (:,:,:)        + uslp (:,:,:)        * e3u_temp(:,:,:) 
-         vslp_tm  (:,:,:)        = vslp_tm (:,:,:)        + vslp (:,:,:)        * e3v_temp(:,:,:) 
+         un_tm    (:,:,:)        = un_tm   (:,:,:)        + un   (:,:,:)        * fse3u(:,:,:) 
+         vn_tm    (:,:,:)        = vn_tm   (:,:,:)        + vn   (:,:,:)        * fse3v(:,:,:) 
+         tsn_tm   (:,:,:,jp_tem) = tsn_tm  (:,:,:,jp_tem) + tsn  (:,:,:,jp_tem) * fse3t(:,:,:)  
+         tsn_tm   (:,:,:,jp_sal) = tsn_tm  (:,:,:,jp_sal) + tsn  (:,:,:,jp_sal) * fse3t(:,:,:)  
+         rhop_tm (:,:,:)         = rhop_tm (:,:,:)        + rhop (:,:,:)        * fse3t(:,:,:)  
+         avt_tm   (:,:,:)        = avt_tm  (:,:,:)        + avt  (:,:,:)        * fse3w(:,:,:)  
+# if defined key_zdfddm
+         avs_tm   (:,:,:)        = avs_tm  (:,:,:)        + avs  (:,:,:)        * fse3w(:,:,:)  
+# endif
+#if defined key_ldfslp
+         wslpi_tm (:,:,:)        = wslpi_tm(:,:,:)        + wslpi(:,:,:) 
+         wslpj_tm (:,:,:)        = wslpj_tm(:,:,:)        + wslpj(:,:,:) 
+         uslp_tm  (:,:,:)        = uslp_tm (:,:,:)        + uslp (:,:,:) 
+         vslp_tm  (:,:,:)        = vslp_tm (:,:,:)        + vslp (:,:,:)
 #endif
 # if defined key_trabbl
@@ -308,6 +192,4 @@
 # endif
          sshn_tm  (:,:)          = sshn_tm    (:,:)       + sshn  (:,:) 
-!!Z~     sshu_n_tm(:,:)          = sshu_n_tm  (:,:)       + sshu_n(:,:) 
-!!Z~     sshv_n_tm(:,:)          = sshv_n_tm  (:,:)       + sshv_n(:,:) 
          rnf_tm   (:,:)          = rnf_tm     (:,:)       + rnf   (:,:) 
          h_rnf_tm (:,:)          = h_rnf_tm   (:,:)       + h_rnf (:,:) 
@@ -320,13 +202,9 @@
          !
          sshn     (:,:)          = sshn_tm    (:,:) * r1_ndttrcp1 
-!!Z~     sshu_n   (:,:)          = sshu_n_tm  (:,:) * r1_ndttrcp1  
-!!Z~     sshv_n   (:,:)          = sshv_n_tm  (:,:) * r1_ndttrcp1  
          sshb     (:,:)          = sshb_hold  (:,:)
-!!Z~     sshu_b   (:,:)          = sshu_b_hold(:,:)
-!!Z~     sshv_b   (:,:)          = sshv_b_hold(:,:)
          rnf      (:,:)          = rnf_tm     (:,:) * r1_ndttrcp1 
          h_rnf    (:,:)          = h_rnf_tm   (:,:) * r1_ndttrcp1 
          hmld     (:,:)          = hmld_tm    (:,:) * r1_ndttrcp1 
-         !  variables that are initialized after averages initialized
+         !  variables that are initialized after averages
          emp_b    (:,:) = emp_b_hold (:,:)
          IF( kt == nittrc000 ) THEN
@@ -382,169 +260,15 @@
 # endif
 #if defined key_ldfslp
-                  wslpi(ji,jj,jk)        = wslpi_tm(ji,jj,jk)        * z1_ne3w 
-                  wslpj(ji,jj,jk)        = wslpj_tm(ji,jj,jk)        * z1_ne3w 
-                  uslp (ji,jj,jk)        = uslp_tm (ji,jj,jk)        * z1_ne3u 
-                  vslp (ji,jj,jk)        = vslp_tm (ji,jj,jk)        * z1_ne3v 
+                  wslpi(ji,jj,jk)        = wslpi_tm(ji,jj,jk) 
+                  wslpj(ji,jj,jk)        = wslpj_tm(ji,jj,jk)
+                  uslp (ji,jj,jk)        = uslp_tm (ji,jj,jk)
+                  vslp (ji,jj,jk)        = vslp_tm (ji,jj,jk)
 #endif
                ENDDO
             ENDDO
          ENDDO
-
-#if defined key_traldf_c3d
-          ahtt_tm  (:,:,:)       = ahtt_tm  (:,:,:)       + ahtt(:,:,:)         * e3t_temp(:,:,:)
-          ahtu_tm  (:,:,:)       = ahtu_tm  (:,:,:)       + ahtu(:,:,:)         * e3u_temp(:,:,:)
-          ahtv_tm  (:,:,:)       = ahtv_tm  (:,:,:)       + ahtv(:,:,:)         * e3v_temp(:,:,:)
-          ahtw_tm  (:,:,:)       = ahtw_tm  (:,:,:)       + ahtw(:,:,:)         * e3w_temp(:,:,:)
-          !
-          ahtt     (:,:,:)       = ahtt_tm  (:,:,:) * r1_ndttrcp1  / fse3t(:,:,:)
-          ahtu     (:,:,:)       = ahtu_tm  (:,:,:) * r1_ndttrcp1  / fse3u(:,:,:)
-          ahtv     (:,:,:)       = ahtv_tm  (:,:,:) * r1_ndttrcp1  / fse3v(:,:,:)
-          ahtw     (:,:,:)       = ahtw_tm  (:,:,:) * r1_ndttrcp1  / fse3w(:,:,:)
-#elif defined key_traldf_c2d
-          ahtt_tm  (:,:)         = ahtt_tm  (:,:)         + ahtt(:,:)
-          ahtu_tm  (:,:)         = ahtu_tm  (:,:)         + ahtu(:,:)
-          ahtv_tm  (:,:)         = ahtv_tm  (:,:)         + ahtv(:,:)
-          ahtw_tm  (:,:)         = ahtw_tm  (:,:)         + ahtw(:,:)
-          !
-          ahtt     (:,:)         = ahtt_tm  (:,:)   * r1_ndttrcp1
-          ahtu     (:,:)         = ahtu_tm  (:,:)   * r1_ndttrcp1
-          ahtv     (:,:)         = ahtv_tm  (:,:)   * r1_ndttrcp1
-          ahtw     (:,:)         = ahtw_tm  (:,:)   * r1_ndttrcp1
-#elif defined key_traldf_c1d
-          ahtt_tm  (:)           = ahtt_tm  (:,:)         + ahtt(:)
-          ahtu_tm  (:)           = ahtu_tm  (:,:)         + ahtu(:)
-          ahtv_tm  (:)           = ahtv_tm  (:,:)         + ahtv(:)
-          ahtw_tm  (:)           = ahtw_tm  (:,:)         + ahtw(:)
-          !
-          ahtt     (:)           = ahtt_tm  (:)     * r1_ndttrcp1
-          ahtu     (:)           = ahtu_tm  (:)     * r1_ndttrcp1
-          ahtv     (:)           = ahtv_tm  (:)     * r1_ndttrcp1
-          ahtw     (:)           = ahtw_tm  (:)     * r1_ndttrcp1
-#else
-          ahtt_tm                = ahtt_tm                + ahtt
-          ahtu_tm                = ahtu_tm                + ahtu
-          ahtv_tm                = ahtv_tm                + ahtv
-          ahtw_tm                = ahtw_tm                + ahtw
-          !
-          ahtt                   = ahtt_tm          * r1_ndttrcp1
-          ahtu                   = ahtu_tm          * r1_ndttrcp1
-          ahtv                   = ahtv_tm          * r1_ndttrcp1
-          ahtw                   = ahtw_tm          * r1_ndttrcp1
-#endif
-
-#if defined key_traldf_eiv
-# if defined key_traldf_c3d
-          aeiu_tm  (:,:,:)       = aeiu_tm  (:,:,:)       + aeiu(:,:,:)         * e3u_temp(:,:,:)
-          aeiv_tm  (:,:,:)       = aeiv_tm  (:,:,:)       + aeiv(:,:,:)         * e3v_temp(:,:,:)
-          aeiw_tm  (:,:,:)       = aeiw_tm  (:,:,:)       + aeiw(:,:,:)         * e3w_temp(:,:,:)
-          !
-          aeiu     (:,:,:)       = aeiu_tm  (:,:,:) * r1_ndttrcp1  / fse3u(:,:,:)
-          aeiv     (:,:,:)       = aeiv_tm  (:,:,:) * r1_ndttrcp1  / fse3v(:,:,:)
-          aeiw     (:,:,:)       = aeiw_tm  (:,:,:) * r1_ndttrcp1  / fse3w(:,:,:)
-# elif defined key_traldf_c2d
-          aeiu_tm  (:,:)         = aeiu_tm  (:,:)         + aeiu(:,:)
-          aeiv_tm  (:,:)         = aeiv_tm  (:,:)         + aeiv(:,:)
-          aeiw_tm  (:,:)         = aeiw_tm  (:,:)         + aeiw(:,:)
-          !
-          aeiu     (:,:)         = aeiu_tm  (:,:)   * r1_ndttrcp1
-          aeiv     (:,:)         = aeiv_tm  (:,:)   * r1_ndttrcp1
-          aeiw     (:,:)         = aeiw_tm  (:,:)   * r1_ndttrcp1
-# elif defined key_traldf_c1d
-          aeiu_tm  (:)           = aeiu_tm  (:,:)         + aeiu(:)
-          aeiv_tm  (:)           = aeiv_tm  (:,:)         + aeiv(:)
-          aeiw_tm  (:)           = aeiw_tm  (:,:)         + aeiw(:)
-          !
-          aeiu     (:)           = aeiu_tm  (:)     * r1_ndttrcp1
-          aeiv     (:)           = aeiv_tm  (:)     * r1_ndttrcp1
-          aeiw     (:)           = aeiw_tm  (:)     * r1_ndttrcp1
-# else
-          aeiu_tm                = aeiu_tm                + aeiu
-          aeiv_tm                = aeiv_tm                + aeiv
-          aeiw_tm                = aeiw_tm                + aeiw
-          !
-          aeiu                   = aeiu_tm          * r1_ndttrcp1
-          aeiv                   = aeiv_tm          * r1_ndttrcp1
-          aeiw                   = aeiw_tm          * r1_ndttrcp1
-# endif
-#endif
-
-         CALL lbc_lnk( un    (:,:,:)       , 'U',-1. ) 
-         CALL lbc_lnk( vn    (:,:,:)       , 'V',-1. ) 
-         CALL lbc_lnk( tsn   (:,:,:,jp_tem), 'T', 1. ) 
-         CALL lbc_lnk( tsn   (:,:,:,jp_sal), 'T', 1. ) 
-         CALL lbc_lnk( rhop  (:,:,:)       , 'T', 1. ) 
-         CALL lbc_lnk( avt   (:,:,:)       , 'W', 1. ) 
-# if defined key_zdfddm
-          CALL lbc_lnk( avs  (:,:,:)       , 'W', 1. ) 
-# endif
-#if defined key_ldfslp
-         CALL lbc_lnk( uslp  (:,:,:)       , 'U',-1. ) 
-         CALL lbc_lnk( vslp  (:,:,:)       , 'V',-1. ) 
-         CALL lbc_lnk( wslpi (:,:,:)       , 'W',-1. ) 
-         CALL lbc_lnk( wslpj (:,:,:)       , 'W',-1. ) 
-#endif
-         CALL lbc_lnk( sshn  (:,:)         , 'T', 1. ) 
-!!Z~     CALL lbc_lnk( sshu_n(:,:)         , 'U', 1. ) 
-!!Z~     CALL lbc_lnk( sshv_n(:,:)         , 'V', 1. ) 
-!!Z~     CALL lbc_lnk( sshf_n(:,:)         , 'F', 1. ) 
-         CALL lbc_lnk( sshb  (:,:)         , 'T', 1. ) 
-!!Z~     CALL lbc_lnk( sshu_b(:,:)         , 'U', 1. ) 
-!!Z~     CALL lbc_lnk( sshv_b(:,:)         , 'V', 1. ) 
-         CALL lbc_lnk( ssha  (:,:)         , 'T', 1. ) 
-!!Z~     CALL lbc_lnk( sshu_a(:,:)         , 'U', 1. ) 
-!!Z~     CALL lbc_lnk( sshv_a(:,:)         , 'V', 1. ) 
-         CALL lbc_lnk( rnf   (:,:)         , 'T', 1. ) 
-         CALL lbc_lnk( h_rnf (:,:)         , 'T', 1. ) 
-         CALL lbc_lnk( hmld  (:,:)         , 'T', 1. ) 
-         CALL lbc_lnk( fr_i  (:,:)         , 'T', 1. ) 
-         CALL lbc_lnk( emp   (:,:)         , 'T', 1. ) 
-         CALL lbc_lnk( emp_b (:,:)         , 'T', 1. ) 
-         CALL lbc_lnk( fmmflx(:,:)         , 'T', 1. ) 
-         CALL lbc_lnk( qsr   (:,:)         , 'T', 1. ) 
-         CALL lbc_lnk( wndm  (:,:)         , 'T', 1. ) 
-# if defined key_trabbl
-         IF( nn_bbl_ldf == 1 ) THEN
-            CALL lbc_lnk( ahu_bbl(:,:)     , 'U', 1. ) 
-            CALL lbc_lnk( ahv_bbl(:,:)     , 'v', 1. ) 
-         ENDIF
-         IF( nn_bbl_adv == 1 ) THEN
-            CALL lbc_lnk( utr_bbl(:,:)     , 'U', 1. ) 
-            CALL lbc_lnk( vtr_bbl(:,:)     , 'U', 1. ) 
-         ENDIF
-# endif
-#if defined key_traldf_c3d
-         CALL lbc_lnk( ahtt  (:,:,:)       , 'T', 1. ) 
-         CALL lbc_lnk( ahtu  (:,:,:)       , 'U', 1. ) 
-         CALL lbc_lnk( ahtv  (:,:,:)       , 'V', 1. ) 
-         CALL lbc_lnk( ahtw  (:,:,:)       , 'W', 1. ) 
-#elif defined key_traldf_c2d
-         CALL lbc_lnk( ahtt  (:,:)         , 'T', 1. ) 
-         CALL lbc_lnk( ahtu  (:,:)         , 'U', 1. ) 
-         CALL lbc_lnk( ahtv  (:,:)         , 'V', 1. ) 
-         CALL lbc_lnk( ahtw  (:,:)         , 'W', 1. ) 
-#endif
-#if defined key_traldf_eiv
-#if defined key_traldf_c3d
-         CALL lbc_lnk( aeiu  (:,:,:)       , 'U', 1. ) 
-         CALL lbc_lnk( aeiv  (:,:,:)       , 'V', 1. ) 
-         CALL lbc_lnk( aeiw  (:,:,:)       , 'W', 1. ) 
-#elif defined key_traldf_c2d
-         CALL lbc_lnk( aeiu  (:,:)         , 'U', 1. ) 
-         CALL lbc_lnk( aeiv  (:,:)         , 'V', 1. ) 
-         CALL lbc_lnk( aeiw  (:,:)         , 'W', 1. ) 
-#endif
-#endif
          !
          CALL trc_sub_ssh( kt )         ! after ssh & vertical velocity
          !
-         CALL lbc_lnk( wn    (:,:,:)       , 'W',-1. ) 
-         CALL lbc_lnk( rotn  (:,:,:)       , 'F', 1. ) 
-         CALL lbc_lnk( hdivn (:,:,:)       , 'T', 1. ) 
-         CALL lbc_lnk( rotb  (:,:,:)       , 'F', 1. ) 
-         CALL lbc_lnk( hdivb (:,:,:)       , 'T', 1. ) 
-         CALL lbc_lnk( hu    (:,:)         , 'U', 1. ) 
-         CALL lbc_lnk( hv    (:,:)         , 'V', 1. ) 
-         CALL lbc_lnk( hur   (:,:)         , 'U', 1. ) 
-         CALL lbc_lnk( hvr   (:,:)         , 'V', 1. ) 
       ENDIF
       !
@@ -585,12 +309,10 @@
 # endif
 #if defined key_ldfslp
-      wslpi_tm(:,:,:)        = wslpi(:,:,:)        * fse3w(:,:,:) 
-      wslpj_tm(:,:,:)        = wslpj(:,:,:)        * fse3w(:,:,:) 
-      uslp_tm (:,:,:)        = uslp (:,:,:)        * fse3u(:,:,:) 
-      vslp_tm (:,:,:)        = vslp (:,:,:)        * fse3v(:,:,:) 
+      wslpi_tm(:,:,:)        = wslpi(:,:,:)
+      wslpj_tm(:,:,:)        = wslpj(:,:,:)
+      uslp_tm (:,:,:)        = uslp (:,:,:)
+      vslp_tm (:,:,:)        = vslp (:,:,:)
 #endif
       sshn_tm  (:,:) = sshn  (:,:) 
-!!Z~  sshu_n_tm(:,:) = sshu_n(:,:) 
-!!Z~  sshv_n_tm(:,:) = sshv_n(:,:) 
       rnf_tm   (:,:) = rnf   (:,:) 
       h_rnf_tm (:,:) = h_rnf (:,:) 
@@ -613,46 +335,4 @@
       ENDIF
 # endif
-      !
-#if defined key_traldf_c3d
-      ahtt_tm(:,:,:) = ahtt(:,:,:) * fse3t(:,:,:)
-      ahtu_tm(:,:,:) = ahtu(:,:,:) * fse3u(:,:,:)
-      ahtv_tm(:,:,:) = ahtv(:,:,:) * fse3v(:,:,:)
-      ahtw_tm(:,:,:) = ahtw(:,:,:) * fse3w(:,:,:)
-#elif defined key_traldf_c2d
-      ahtt_tm(:,:)   = ahtt(:,:)
-      ahtu_tm(:,:)   = ahtu(:,:)
-      ahtv_tm(:,:)   = ahtv(:,:)
-      ahtw_tm(:,:)   = ahtw(:,:)
-#elif defined key_traldf_c1d
-      ahtt_tm(:)     = ahtt(:)
-      ahtu_tm(:)     = ahtu(:)
-      ahtv_tm(:)     = ahtv(:)
-      ahtw_tm(:)     = ahtw(:)
-#else
-      ahtt_tm        = ahtt
-      ahtu_tm        = ahtu
-      ahtv_tm        = ahtv
-      ahtw_tm        = ahtw
-#endif
-      !
-#if defined key_traldf_eiv
-#  if defined key_traldf_c3d
-      aeiu_tm(:,:,:) = aeiu(:,:,:) * fse3u(:,:,:)
-      aeiv_tm(:,:,:) = aeiv(:,:,:) * fse3v(:,:,:)
-      aeiw_tm(:,:,:) = aeiw(:,:,:) * fse3w(:,:,:)
-#  elif defined key_traldf_c2d
-      aeiu_tm(:,:)   = aeiu(:,:)
-      aeiv_tm(:,:)   = aeiv(:,:)
-      aeiw_tm(:,:)   = aeiw(:,:)
-#  elif defined key_traldf_c1d
-      aeiu_tm(:)     = aeiu(:)
-      aeiv_tm(:)     = aeiv(:)
-      aeiw_tm(:)     = aeiw(:)
-#  else
-      aeiu_tm        = aeiu
-      aeiv_tm        = aeiv
-      aeiw_tm        = aeiw
-#  endif
-#endif
       !
       IF( nn_timing == 1 )  CALL timing_stop('trc_sub_ini')
@@ -694,11 +374,4 @@
       sshb  (:,:)     =  sshb_temp  (:,:)
       ssha  (:,:)     =  ssha_temp  (:,:)
-!!Z~  sshu_n(:,:)     =  sshu_n_temp(:,:)
-!!Z~  sshu_b(:,:)     =  sshu_b_temp(:,:)
-!!Z~  sshu_a(:,:)     =  sshu_a_temp(:,:)
-!!Z~  sshv_n(:,:)     =  sshv_n_temp(:,:)
-!!Z~  sshv_b(:,:)     =  sshv_b_temp(:,:)
-!!Z~  sshv_a(:,:)     =  sshv_a_temp(:,:)
-!!Z~  sshf_n(:,:)     =  sshf_n_temp(:,:)
       rnf   (:,:)     =  rnf_temp   (:,:)
       h_rnf (:,:)     =  h_rnf_temp (:,:)
@@ -722,78 +395,9 @@
 # endif
       !
-#if defined key_traldf_c3d
-      ahtu  (:,:,:)   =  ahtu_temp  (:,:,:)
-      ahtv  (:,:,:)   =  ahtv_temp  (:,:,:)
-      ahtw  (:,:,:)   =  ahtw_temp  (:,:,:)
-      ahtt  (:,:,:)   =  ahtt_temp  (:,:,:)
-#elif defined key_traldf_c2d
-      ahtu  (:,:)     =  ahtu_temp  (:,:)
-      ahtv  (:,:)     =  ahtv_temp  (:,:)
-      ahtw  (:,:)     =  ahtw_temp  (:,:)
-      ahtt  (:,:)     =  ahtt_temp  (:,:)
-#elif defined key_traldf_c1d
-      ahtu  (:)       =  ahtu_temp  (:)
-      ahtv  (:)       =  ahtv_temp  (:)
-      ahtw  (:)       =  ahtw_temp  (:)
-      ahtt  (:)       =  ahtt_temp  (:)
-#else
-      ahtu            =  ahtu_temp
-      ahtv            =  ahtv_temp
-      ahtw            =  ahtw_temp
-      ahtt            =  ahtt_temp
-#endif
-      !
-#if defined key_traldf_eiv
-#if defined key_traldf_c3d
-      aeiu  (:,:,:)  =  aeiu_temp(:,:,:)
-      aeiv  (:,:,:)  =  aeiv_temp(:,:,:)
-      aeiw  (:,:,:)  =  aeiw_temp(:,:,:)
-#elif defined key_traldf_c2d
-      aeiu  (:,:)    =  aeiu_temp(:,:)
-      aeiv  (:,:)    =  aeiv_temp(:,:)
-      aeiw  (:,:)    =  aeiw_temp(:,:)
-#elif defined key_traldf_c1d
-      aeiu  (:)      =  aeiu_temp(:)
-      aeiv  (:)      =  aeiv_temp(:)
-      aeiw  (:)      =  aeiw_temp(:)
-#else
-      aeiu           =  aeiu_temp
-      aeiv           =  aeiv_temp
-      aeiw           =  aeiw_temp
-#endif
-#endif 
       hdivn (:,:,:)   =  hdivn_temp (:,:,:)
       rotn  (:,:,:)   =  rotn_temp  (:,:,:)
       hdivb (:,:,:)   =  hdivb_temp (:,:,:)
       rotb  (:,:,:)   =  rotb_temp  (:,:,:)
-      hu    (:,:)     =  hu_temp    (:,:)
-      hv    (:,:)     =  hv_temp    (:,:)
-      hur   (:,:)     =  hur_temp   (:,:)
-      hvr   (:,:)     =  hvr_temp   (:,:)
       !                                      
-      DO jk = 1, jpk
-         fse3t(:,:,jk)= e3t_temp(:,:,jk) 
-         fse3u(:,:,jk)= e3u_temp(:,:,jk) 
-         fse3v(:,:,jk)= e3v_temp(:,:,jk) 
-         fse3w(:,:,jk)= e3w_temp(:,:,jk) 
-      END DO
-      !                                           !------------------------------!
-      IF( lk_vvl ) THEN                           !  Update Now Vertical coord.  !   (only in vvl case)
-        !                                           !------------------------------!
-         DO jk = 1, jpkm1
-            fsdept(:,:,jk) = fsdept_n(:,:,jk)          ! now local depths stored in fsdep. arrays
-            fsdepw(:,:,jk) = fsdepw_n(:,:,jk)
-            fsde3w(:,:,jk) = fsde3w_n(:,:,jk)
-            !
-            fse3t (:,:,jk) = fse3t_n (:,:,jk)          ! vertical scale factors stored in fse3. arrays
-            fse3u (:,:,jk) = fse3u_n (:,:,jk)
-            fse3v (:,:,jk) = fse3v_n (:,:,jk)
-            fse3f (:,:,jk) = fse3f_n (:,:,jk)
-            fse3w (:,:,jk) = fse3w_n (:,:,jk)
-            fse3uw(:,:,jk) = fse3uw_n(:,:,jk)
-            fse3vw(:,:,jk) = fse3vw_n(:,:,jk)
-         END DO
-         !
-      ENDIF
 
       ! Start new averages
@@ -808,17 +412,13 @@
 # endif
 #if defined key_ldfslp
-         wslpi_tm(:,:,:)        = wslpi(:,:,:)        * fse3w(:,:,:) 
-         wslpj_tm(:,:,:)        = wslpj(:,:,:)        * fse3w(:,:,:) 
-         uslp_tm (:,:,:)        = uslp (:,:,:)        * fse3u(:,:,:) 
-         vslp_tm (:,:,:)        = vslp (:,:,:)        * fse3v(:,:,:) 
+         wslpi_tm(:,:,:)        = wslpi(:,:,:) 
+         wslpj_tm(:,:,:)        = wslpj(:,:,:)
+         uslp_tm (:,:,:)        = uslp (:,:,:)
+         vslp_tm (:,:,:)        = vslp (:,:,:)
 #endif
       !
       sshb_hold  (:,:) = sshn  (:,:)
-!!Z~  sshu_b_hold(:,:) = sshu_n(:,:)
-!!Z~  sshv_b_hold(:,:) = sshv_n(:,:)
       emp_b_hold (:,:) = emp   (:,:)
       sshn_tm    (:,:) = sshn  (:,:) 
-!!Z~  sshu_n_tm  (:,:) = sshu_n(:,:) 
-!!Z~  sshv_n_tm  (:,:) = sshv_n(:,:) 
       rnf_tm     (:,:) = rnf   (:,:) 
       h_rnf_tm   (:,:) = h_rnf (:,:) 
@@ -840,49 +440,4 @@
 # endif
       !
-#if defined key_traldf_c3d
-      DO jk = 1, jpkm1
-         ahtt_tm(:,:,jk) = ahtt(:,:,jk) * fse3t(:,:,jk)
-         ahtu_tm(:,:,jk) = ahtu(:,:,jk) * fse3u(:,:,jk)
-         ahtv_tm(:,:,jk) = ahtv(:,:,jk) * fse3v(:,:,jk)
-         ahtw_tm(:,:,jk) = ahtw(:,:,jk) * fse3w(:,:,jk)
-      END DO
-#elif defined key_traldf_c2d
-      ahtt_tm(:,:)   = ahtt(:,:)
-      ahtu_tm(:,:)   = ahtu(:,:)
-      ahtv_tm(:,:)   = ahtv(:,:)
-      ahtw_tm(:,:)   = ahtw(:,:)
-#elif defined key_traldf_c1d
-      ahtt_tm(:)     = ahtt(:)
-      ahtu_tm(:)     = ahtu(:)
-      ahtv_tm(:)     = ahtv(:)
-      ahtw_tm(:)     = ahtw(:)
-#else
-      ahtt_tm        = ahtt
-      ahtu_tm        = ahtu
-      ahtv_tm        = ahtv
-      ahtw_tm        = ahtw
-#endif
-      !
-#if defined key_traldf_eiv
-#  if defined key_traldf_c3d
-      DO jk = 1, jpk
-         aeiu_tm(:,:,jk) = aeiu(:,:,jk) * fse3u(:,:,jk)
-         aeiv_tm(:,:,jk) = aeiv(:,:,jk) * fse3v(:,:,jk)
-         aeiw_tm(:,:,jk) = aeiw(:,:,jk) * fse3w(:,:,jk)
-      END DO
-#  elif defined key_traldf_c2d
-      aeiu_tm(:,:)   = aeiu(:,:)
-      aeiv_tm(:,:)   = aeiv(:,:)
-      aeiw_tm(:,:)   = aeiw(:,:)
-#  elif defined key_traldf_c1d
-      aeiu_tm(:)     = aeiu(:)
-      aeiv_tm(:)     = aeiv(:)
-      aeiw_tm(:)     = aeiw(:)
-#  else
-      aeiu_tm        = aeiu
-      aeiv_tm        = aeiv
-      aeiw_tm        = aeiw
-#  endif
-#endif
       !
       IF( nn_timing == 1 )  CALL timing_stop('trc_sub_reset')
@@ -906,5 +461,4 @@
       !!                wn      : now vertical velocity
       !!                sshu_a, sshv_a, sshf_a  : after sea surface height (lk_vvl=T)
-      !!                hu, hv, hur, hvr        : ocean depth and its inverse at u-,v-points
       !!
       !! Reference  : Leclair, M., and G. Madec, 2009, Ocean Modelling.
@@ -931,29 +485,4 @@
          wn(:,:,jpk) = 0._wp                  ! bottom boundary condition: w=0 (set once for all)
          !
-      ENDIF
-
-      !                                           !------------------------------------------!
-      IF( lk_vvl ) THEN                           !  Regridding: Update Now Vertical coord.  !   (only in vvl case)
-         !                                        !------------------------------------------!
-         DO jk = 1, jpkm1
-            fsdept(:,:,jk) = fsdept_n(:,:,jk)         ! now local depths stored in fsdep. arrays
-            fsdepw(:,:,jk) = fsdepw_n(:,:,jk)
-            fsde3w(:,:,jk) = fsde3w_n(:,:,jk)
-            !
-            fse3t (:,:,jk) = fse3t_n (:,:,jk)         ! vertical scale factors stored in fse3. arrays
-            fse3u (:,:,jk) = fse3u_n (:,:,jk)
-            fse3v (:,:,jk) = fse3v_n (:,:,jk)
-            fse3f (:,:,jk) = fse3f_n (:,:,jk)
-            fse3w (:,:,jk) = fse3w_n (:,:,jk)
-            fse3uw(:,:,jk) = fse3uw_n(:,:,jk)
-            fse3vw(:,:,jk) = fse3vw_n(:,:,jk)
-         END DO
-         !
-!!Z~     hu(:,:) = hu_0(:,:) + sshu_n(:,:)            ! now ocean depth (at u- and v-points)
-!!Z~     hv(:,:) = hv_0(:,:) + sshv_n(:,:)
-         !                                            ! now masked inverse of the ocean depth (at u- and v-points)
-         hur(:,:) = umask(:,:,1) / ( hu(:,:) + 1._wp - umask(:,:,1) )
-         hvr(:,:) = vmask(:,:,1) / ( hv(:,:) + 1._wp - vmask(:,:,1) )
-         ! 
       ENDIF
       !
@@ -975,13 +504,9 @@
       z1_rau0 = 0.5 / rau0
       ssha(:,:) = (  sshb(:,:) - z2dt * ( z1_rau0 * ( emp_b(:,:) + emp(:,:) ) + zhdiv(:,:) )  ) * tmask(:,:,1)
-
+#if ! defined key_dynspg_ts
+      ! These lines are not necessary with time splitting since
+      ! boundary condition on sea level is set during ts loop
 #if defined key_agrif
       CALL agrif_ssh( kt )
-#endif
-#if defined key_obc
-      IF( Agrif_Root() ) THEN 
-         ssha(:,:) = ssha(:,:) * obctmsk(:,:)
-         CALL lbc_lnk( ssha, 'T', 1. )                 ! absolutly compulsory !! (jmm)
-      ENDIF
 #endif
 #if defined key_bdy
@@ -989,20 +514,6 @@
       CALL lbc_lnk( ssha, 'T', 1. ) 
 #endif
-
-      !                                                ! Sea Surface Height at u-,v- and f-points (vvl case only)
-!!Z~  IF( lk_vvl ) THEN                                ! (required only in key_vvl case)
-!!Z~     DO jj = 1, jpjm1
-!!Z~        DO ji = 1, jpim1      ! NO Vector Opt.
-!!Z~           sshu_a(ji,jj) = 0.5  * umask(ji,jj,1) / ( e1u(ji  ,jj) * e2u(ji  ,jj) )                   &
-!!Z~              &                                  * ( e1t(ji  ,jj) * e2t(ji  ,jj) * ssha(ji  ,jj)     &
-!!Z~              &                                    + e1t(ji+1,jj) * e2t(ji+1,jj) * ssha(ji+1,jj) )
-!!Z~           sshv_a(ji,jj) = 0.5  * vmask(ji,jj,1) / ( e1v(ji,jj  ) * e2v(ji,jj  ) )                   &
-!!Z~              &                                  * ( e1t(ji,jj  ) * e2t(ji,jj  ) * ssha(ji,jj  )     &
-!!Z~              &                                    + e1t(ji,jj+1) * e2t(ji,jj+1) * ssha(ji,jj+1) )
-!!Z~        END DO
-!!Z~     END DO
-!!Z~     CALL lbc_lnk( sshu_a, 'U', 1. )   ;   CALL lbc_lnk( sshv_a, 'V', 1. )      ! Boundaries conditions
-!!Z~  ENDIF
-      
+#endif
+
 
       !                                           !------------------------------!
@@ -1039,10 +550,5 @@
          &      rhop_temp(jpi,jpj,jpk)      ,  rhop_tm(jpi,jpj,jpk) ,   &
          &      sshn_temp(jpi,jpj)          ,  sshb_temp(jpi,jpj) ,      &
-         &      ssha_temp(jpi,jpj)          ,  sshu_a_temp(jpi,jpj),     &
-         &      sshu_n_temp(jpi,jpj)        ,  sshu_b_temp(jpi,jpj),     &
-         &      sshv_n_temp(jpi,jpj)        ,  sshv_b_temp(jpi,jpj),     &
-         &      sshv_a_temp(jpi,jpj)        ,  sshf_n_temp(jpi,jpj) ,   &
-         &      e3t_temp(jpi,jpj,jpk)       ,  e3u_temp(jpi,jpj,jpk),    &
-         &      e3v_temp(jpi,jpj,jpk)       ,  e3w_temp(jpi,jpj,jpk),    &
+         &      ssha_temp(jpi,jpj)          ,                           &
 #if defined key_ldfslp
          &      wslpi_temp(jpi,jpj,jpk)     ,  wslpj_temp(jpi,jpj,jpk),  &
@@ -1062,44 +568,9 @@
          &      avs_tm(jpi,jpj,jpk)         ,  avs_temp(jpi,jpj,jpk) ,   &
 # endif
-#if defined key_traldf_c3d
-         &      ahtt_tm(jpi,jpj,jpk)        ,  ahtt_temp(jpi,jpj,jpk),   &
-         &      ahtu_tm(jpi,jpj,jpk)        ,  ahtu_temp(jpi,jpj,jpk),   &
-         &      ahtv_tm(jpi,jpj,jpk)        ,  ahtv_temp(jpi,jpj,jpk),   &
-         &      ahtw_tm(jpi,jpj,jpk)        ,  ahtw_temp(jpi,jpj,jpk),   &
-#elif defined key_traldf_c2d
-         &      ahtt_tm(jpi,jpj)            ,  ahtt_temp(jpi,jpj),       &
-         &      ahtu_tm(jpi,jpj)            ,  ahtu_temp(jpi,jpj),       &
-         &      ahtv_tm(jpi,jpj)            ,  ahtv_temp(jpi,jpj),       &
-         &      ahtw_tm(jpi,jpj)            ,  ahtw_temp(jpi,jpj),       &
-#elif defined key_traldf_c1d
-         &      ahtt_tm(jpk)                ,  ahtt_temp(jpk),           &
-         &      ahtu_tm(jpk)                ,  ahtu_temp(jpk),           &
-         &      ahtv_tm(jpk)                ,  ahtv_temp(jpk),           &
-         &      ahtw_tm(jpk)                ,  ahtw_temp(jpk),           &
-#endif
-#if defined key_traldf_eiv
-# if defined key_traldf_c3d
-         &      aeiu_tm(jpi,jpj,jpk)        ,  aeiu_temp(jpi,jpj,jpk),   &
-         &      aeiv_tm(jpi,jpj,jpk)        ,  aeiv_temp(jpi,jpj,jpk),   &
-         &      aeiw_tm(jpi,jpj,jpk)        ,  aeiw_temp(jpi,jpj,jpk),   &
-# elif defined key_traldf_c2d
-         &      aeiu_tm(jpi,jpj)            ,  aeiu_temp(jpi,jpj),       &
-         &      aeiv_tm(jpi,jpj)            ,  aeiv_temp(jpi,jpj),       &
-         &      aeiw_tm(jpi,jpj)            ,  aeiw_temp(jpi,jpj),       &
-# elif defined key_traldf_c1d
-         &      aeiu_tm(jpk)                ,  aeiu_temp(jpk),           &
-         &      aeiv_tm(jpk)                ,  aeiv_temp(jpk),           &
-         &      aeiw_tm(jpk)                ,  aeiw_temp(jpk),           &
-# endif
-# endif
          &      hdivn_temp(jpi,jpj,jpk)     ,  hdivb_temp(jpi,jpj,jpk),  &
          &      rotn_temp(jpi,jpj,jpk)      ,  rotb_temp(jpi,jpj,jpk),   &
-         &      hu_temp(jpi,jpj)            ,  hv_temp(jpi,jpj),         &
-         &      hur_temp(jpi,jpj)           ,  hvr_temp(jpi,jpj),        &
          &      un_tm(jpi,jpj,jpk)          ,  vn_tm(jpi,jpj,jpk)  ,     &
          &      avt_tm(jpi,jpj,jpk)                                ,     &
          &      sshn_tm(jpi,jpj)            ,  sshb_hold(jpi,jpj) ,      &
-         &      sshu_n_tm(jpi,jpj)          ,  sshu_b_hold(jpi,jpj),     &
-         &      sshv_n_tm(jpi,jpj)          ,  sshv_b_hold(jpi,jpj),     &
          &      tsn_tm(jpi,jpj,jpk,2)       ,                            &
          &      emp_tm(jpi,jpj)             ,  fmmflx_tm(jpi,jpj)  ,     &
